Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.tour.po
Interface PurchaseOrder

public interface PurchaseOrder
extends javax.ejb.EJBObject, java.rmi.Remote

Calculates the total price of a purchase including state/provincial sales tax.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `PurchaseOrderHome`

Method Summary
`double` | `calculate(int itemNo, int quantity, java.lang.String state)` Calculates the total price of an order.
`int` | `checkInventory(int itemNo)` Return the quantity in stock of the specified item.

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### calculate

    public double calculate(int itemNo,
                            int quantity,
                            java.lang.String state)
                     throws java.rmi.RemoteException,
                            com.bea.wlpi.tour.po.BadStateException

  Calculates the total price of an order.

  Parameters:
    `itemNo` - The item number to order.
    `quantity` - the quantity to order.
    `state` - The two character state/province abreviation
  Returns:
    The amount of sales tax
  Throws:
    java.rmi.RemoteException - if a communications error occurred.
    com.bea.wlpi.tour.po.BadStateException - if the state abbreviation is invalid.

### checkInventory

    public int checkInventory(int itemNo)
                       throws java.rmi.RemoteException

  Return the quantity in stock of the specified item.

  Parameters:
    `itemNo` - The item number of the item to check.
  Returns:
    the quantity of the specified item in in stock
  Throws:
    java.rmi.RemoteException - if a communications error occurred.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)